<!DOCTYPE html>
<html lang="en">
    <head>
        <style>
            /* Add a black background color to the top navigation */
            .topnav {
                background-color: #333;
                overflow: hidden;
            }

            /* Style the links inside the navigation bar */
            .topnav a {
                float: left;
                color: #f2f2f2;
                text-align: center;
                padding: 14px 16px;
                text-decoration: none;
                font-size: 17px;
            }

            /* Change the color of links on hover */
            .topnav a:hover {
                background-color: #ddd;
              color: black;
            }

            /* Add a color to the active/current link */
            .topnav a.active {
              background-color: #4CAF50;
              color: white;
            }
        </style>
    </head>
    <body>
        <div class="topnav">
            <a class="active" href="index.html">Home</a>
            <a href="#about">About</a>
            <a href="#basic__tutorial">Basic Tutorial</a>
            <a href="#knowledge_base">Knowledge Base</a>
            <div class="title">
                <h3>Website of Knowledge</h3>
            </div>
        </div>
    </body>
</html>
